# DataExchange
TKSTEPBase
StepBasic

# StepBasic_CertificationType Class Reference

Representation of STEP entity CertificationType
.

`#include <StepBasic_CertificationType.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_CertificationType ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aDescription)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_CertificationType::StepBasic_CertificationType | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_CertificationType::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_CertificationType::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_CertificationType::Init | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_CertificationType::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_CertificationType::theDescription `[private]`

The documentation for this class was generated from the following file:

- StepBasic_CertificationType.hxx